package sample.sample14;

public class Sample14_2 {
	public static void main(String[] args) {
		哺乳類[] 動物たち = new 哺乳類[2];
		動物たち[0] = new 猫();
		動物たち[1] = new 犬();

		for (哺乳類 動物 : 動物たち) {
			動物.鳴く();
			動物.食べる(new 食べ物("ドッグフード"));
			動物.食べる(new 食べ物("キャットフード"));
			動物.食べる(new 食べ物("ワサビ"));

			System.out.println("この動物は" + 動物.getName() + "でした\n");
		}
	}
}
